Cynical Weather Errors

Posted on
Mon Jun 03, 2024 10:10 am
CraigM offline
Posts: 601
Joined: Oct 28, 2007

Cynical Weather Errors

Woke up to this sea of red that keeps repeating
v3.5.3

Code: Select all
 Cynical Weather Error           in run_concurrent_thread: Traceback (most recent call last):
  File ".../Server Plugin/cyin/debugging.py", line 67, in diagnostic_log
    yield
  File ".../Server Plugin/cyin/debugging.py", line 77, in diagnose_call
    return method(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/cyin/asynplugin.py", line 64, in run_concurrent_thread
    self.run()
  File ".../Server Plugin/asyn/inject.py", line 60, in run
    asyn.Controller.run(self)
  File ".../Server Plugin/asyn/controller.py", line 105, in run
    item._can_read()
  File ".../Server Plugin/asyn/selectable.py", line 244, in _can_read
    self._scan(input)
  File ".../Server Plugin/asyn/scan.py", line 70, in _scan
    self.callout(RAW, self.flush_scan())
  File ".../Server Plugin/asyn/core.py", line 163, in callout
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/core.py", line 163, in <listcomp>
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
               ^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/ssl.py", line 155, in incoming
    self._service()
  File ".../Server Plugin/asyn/ssl.py", line 129, in _service
    self._scan(rdata)
  File ".../Server Plugin/asyn/scan.py", line 70, in _scan
    self.callout(RAW, self.flush_scan())
  File ".../Server Plugin/asyn/core.py", line 163, in callout
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/core.py", line 163, in <listcomp>
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
               ^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/http_chunk.py", line 47, in incoming
    self._pass_downstream(data[0])
  File ".../Server Plugin/asyn/http_chunk.py", line 74, in _pass_downstream
    self.callout('END', 'CHUNKS', data)
  File ".../Server Plugin/asyn/core.py", line 163, in callout
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/core.py", line 163, in <listcomp>
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
               ^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/zfilter.py", line 47, in incoming
    self.callout(ctx)
  File ".../Server Plugin/asyn/core.py", line 163, in callout
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/core.py", line 163, in <listcomp>
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
               ^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/http.py", line 281, in incoming
    self.callout('body', self.body_reply)
  File ".../Server Plugin/asyn/core.py", line 163, in callout
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/core.py", line 163, in <listcomp>
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
               ^^^^^^^^^^^^^^
  File ".../Server Plugin/forecast/core.py", line 182, in cb
    callout(asyn.Context('reading'), Reading(args[0], self.units))
  File "plugin.py", line 169, in updated
    self.updateAlerts(data.alerts)
  File "plugin.py", line 102, in updateAlerts
    self.alert_url = '; '.join([alert.link for alert in alerts])
                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
TypeError: sequence item 0: expected str instance, NoneType found

   Cynical Weather Error           plugin runConcurrentThread function returned or failed (will attempt again in 10 seconds)

Posted on
Mon Jun 03, 2024 11:44 am
Perry The Cynic offline
Posts: 840
Joined: Apr 07, 2008

Re: Cynical Weather Errors

Fixed in 3.5.4. The weather provider sometimes doesn't include URL links in their weather alerts, and the plugin didn't expect that. :|

Posted on
Mon Jun 03, 2024 2:12 pm
CraigM offline
Posts: 601
Joined: Oct 28, 2007

Re: Cynical Weather Errors

Thanks :D

Posted on
Wed Jun 05, 2024 12:14 am
CraigM offline
Posts: 601
Joined: Oct 28, 2007

Re: Cynical Weather Errors

Getting this with v3.5.4

Code: Select all
Cynical Weather Error           Weather Cynical [Location] unavailable: [Errno 8] nodename nor servname provided, or not known
   Cynical Weather Error           Weather Cynical [Daily Forcast] unavailable: host device Weather Cynical [Location] is unavailable
   Cynical Weather Error           Weather Cynical [Hourly Forcast] unavailable: host device Weather Cynical [Location] is unavailable
   Cynical Weather Error           in run_concurrent_thread: Traceback (most recent call last):
  File ".../Server Plugin/asyn/http.py", line 218, in open
    self.res = socket.getaddrinfo(self.host, self.port, 0, socket.SOCK_STREAM, 0, 0)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/Library/Frameworks/Python.framework/Versions/3.11/lib/python3.11/socket.py", line 962, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
socket.gaierror: [Errno 8] nodename nor servname provided, or not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File ".../Server Plugin/cyin/debugging.py", line 67, in diagnostic_log
    yield
  File ".../Server Plugin/cyin/debugging.py", line 77, in diagnose_call
    return method(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/cyin/asynplugin.py", line 64, in run_concurrent_thread
    self.run()
  File ".../Server Plugin/asyn/inject.py", line 60, in run
    asyn.Controller.run(self)
  File ".../Server Plugin/asyn/controller.py", line 109, in run
    self._dispatch()
  File ".../Server Plugin/asyn/controller.py", line 252, in _dispatch
    top.callout(Ctx('TIMER', sched=top, control=self, when=top.when, now=now))
  File ".../Server Plugin/asyn/core.py", line 163, in callout
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/core.py", line 163, in <listcomp>
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
               ^^^^^^^^^^^^^^
  File "plugin.py", line 148, in update
    self.poll(force=not ctx)
  File "plugin.py", line 174, in poll
    self.forecast.poll(callout=updated)
  File ".../Server Plugin/forecast/core.py", line 191, in poll
    req = self._request("forecast", callout=cb, query=query)
          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/forecast/core.py", line 206, in _request
    request.open(self._weburl(req))
  File ".../Server Plugin/asyn/http.py", line 220, in open
    self.callout_error(e)
  File ".../Server Plugin/asyn/core.py", line 178, in callout_error
    self.callout(Error(error, **kwargs))
  File ".../Server Plugin/asyn/core.py", line 163, in callout
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
              ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File ".../Server Plugin/asyn/core.py", line 163, in <listcomp>
    results = [cb(ctx, *args) for cb in list(self._callbacks)]   # latch callback list
               ^^^^^^^^^^^^^^
  File ".../Server Plugin/forecast/core.py", line 182, in cb
    req.close()
    ^^^
NameError: cannot access free variable 'req' where it is not associated with a value in enclosing scope

   Cynical Weather Error           plugin runConcurrentThread function returned or failed (will attempt again in 10 seconds)

Posted on
Wed Jun 05, 2024 8:19 am
Perry The Cynic offline
Posts: 840
Joined: Apr 07, 2008

Re: Cynical Weather Errors

That says that somehow your computer can't look up the weather service host (weather.visualcrossing.com). Anything unusual going on in your system? (The error handling could be better, but then this hardly ever happens...)

Cheers
-- perry

Posted on
Wed Jun 05, 2024 12:52 pm
CraigM offline
Posts: 601
Joined: Oct 28, 2007

Re: Cynical Weather Errors

Perry The Cynic wrote:
That says that somehow your computer can't look up the weather service host (weather.visualcrossing.com). Anything unusual going on in your system? (The error handling could be better, but then this hardly ever happens...)

Cheers
-- perry

Nothing unusual going on here. The error only appeared once and now it's gone.

Posted on
Wed Jun 05, 2024 1:50 pm
Perry The Cynic offline
Posts: 840
Joined: Apr 07, 2008

Re: Cynical Weather Errors

Might have been a glitch in your ISP, depending on your setup.

Cheers
-- perry

Posted on
Sun Jun 09, 2024 9:57 am
roquej offline
User avatar
Posts: 610
Joined: Jan 04, 2015
Location: South Florida, USA

Re: Cynical Weather Errors

Getting the same

JP

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 2 guests